## org.exist.xquery.functions
Class FunTrueOrFalse

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.BasicFunction
                      org.exist.xquery.functions.FunTrueOrFalse

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class FunTrueOrFalse
extends BasicFunction

Field Summary
`static FunctionSignature` `fnFalse`
`static FunctionSignature` `fnTrue`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`FunTrueOrFalse(XQueryContext context, FunctionSignature signature)`

Method Summary
`Sequence` `eval(Sequence[] args, Sequence contextSequence)` Process the function.
`int` `getCardinality()` The default cardinality is `Cardinality.EXACTLY_ONE`.
`int` `getDependencies()` Returns `Dependency.DEFAULT_DEPENDENCIES`.
`int` `returnsType()` The static return type of the expression.

Methods inherited from class org.exist.xquery.BasicFunction
`eval`

Methods inherited from class org.exist.xquery.Function
`analyze, createFunction, dump, getArgument, getArgumentCount, getArguments, getASTNode, getName, getParent, getSignature, isCalledAs, setArguments, setASTNode, setParent, setPrimaryAxis, toString`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, resetState, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setContextDocSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Field Detail

### fnTrue

    public static final FunctionSignature fnTrue

### fnFalse

    public static final FunctionSignature fnFalse

Constructor Detail

### FunTrueOrFalse

    public FunTrueOrFalse(XQueryContext context,
                          FunctionSignature signature)

Method Detail

### returnsType

    public int returnsType()

  Description copied from interface: `Expression`
  The static return type of the expression. This method should return one of the type constants defined in class `Type`. If the return type cannot be determined statically, return Type.ITEM.

  Specified by:
    `returnsType` in interface `Expression`
  Overrides:
    `returnsType` in class `Function`

### getDependencies

    public int getDependencies()

  Description copied from class: `AbstractExpression`
  Returns `Dependency.DEFAULT_DEPENDENCIES`.

  Specified by:
    `getDependencies` in interface `Expression`
  Overrides:
    `getDependencies` in class `Function`

### getCardinality

    public int getCardinality()

  Description copied from class: `AbstractExpression`
  The default cardinality is `Cardinality.EXACTLY_ONE`.

  Specified by:
    `getCardinality` in interface `Expression`
  Overrides:
    `getCardinality` in class `Function`

### eval

    public Sequence eval(Sequence[] args,
                         Sequence contextSequence)

  Description copied from class: `BasicFunction`
  Process the function. All arguments are passed in the array args. The number of arguments, their type and cardinality have already been checked to match the function signature.

  Specified by:
    `eval` in class `BasicFunction`
  Parameters:
    `args` -
    `contextSequence` -

Copyright (C) Wolfgang Meier. All rights reserved.